Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.infocardOrganizer
Class Agent

    java.lang.Object
      org.infoml.infocardOrganizer.Agent

All Implemented Interfaces:
  java.io.Serializable

    public class Agent

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`Agent()`
`Agent(Agent agent)`

Method Summary
`java.lang.String` | `getFirst()`
`java.lang.String` | `getMiddle1()`
`java.lang.String` | `getMiddle2()`
`java.lang.String` | `getPrefix()`
`java.lang.String` | `getPreSeparator()`
`java.lang.String` | `getRole()`
`java.lang.String` | `getSuffix()`
`java.lang.String` | `getSurname()`
`boolean` | `isEmpty()`
`void` | `setFirst(java.lang.String first)`
`void` | `setMiddle1(java.lang.String middle1)`
`void` | `setMiddle2(java.lang.String middle2)`
`void` | `setPrefix(java.lang.String prefix)`
`void` | `setPreSeparator(java.lang.String preSeparator)`
`void` | `setRole(java.lang.String role)`
`void` | `setSuffix(java.lang.String suffix)`
`void` | `setSurname(java.lang.String surname)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Agent

    public Agent()

### Agent

    public Agent(Agent agent)

Method Detail

### isEmpty

    public boolean isEmpty()

### getFirst

    public java.lang.String getFirst()

### setFirst

    public void setFirst(java.lang.String first)

### getSurname

    public java.lang.String getSurname()

### setSurname

    public void setSurname(java.lang.String surname)

### getMiddle1

    public java.lang.String getMiddle1()

### setMiddle1

    public void setMiddle1(java.lang.String middle1)

### getMiddle2

    public java.lang.String getMiddle2()

### setMiddle2

    public void setMiddle2(java.lang.String middle2)

### getPrefix

    public java.lang.String getPrefix()

### setPrefix

    public void setPrefix(java.lang.String prefix)

### getPreSeparator

    public java.lang.String getPreSeparator()

### setPreSeparator

    public void setPreSeparator(java.lang.String preSeparator)

### getRole

    public java.lang.String getRole()

### setRole

    public void setRole(java.lang.String role)

### getSuffix

    public java.lang.String getSuffix()

### setSuffix

    public void setSuffix(java.lang.String suffix)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD